library(foreign)
library(Zelig)

setwd("~/mydata/project/2010_fetal_loss/1_data_exploration/impute_data")

imp.data <- list()

# Read in the 20 multiply imputed data sets.
imp.data[[1]] <- read.dta(file = "comb_final_data1.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[2]] <- read.dta(file = "comb_final_data2.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[3]] <- read.dta(file = "comb_final_data3.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[4]] <- read.dta(file = "comb_final_data4.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[5]] <- read.dta(file = "comb_final_data5.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[6]] <- read.dta(file = "comb_final_data6.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[7]] <- read.dta(file = "comb_final_data7.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[8]] <- read.dta(file = "comb_final_data8.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[9]] <- read.dta(file = "comb_final_data9.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[10]] <- read.dta(file = "comb_final_data10.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[11]] <- read.dta(file = "comb_final_data11.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[12]] <- read.dta(file = "comb_final_data12.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[13]] <- read.dta(file = "comb_final_data13.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[14]] <- read.dta(file = "comb_final_data14.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[15]] <- read.dta(file = "comb_final_data15.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[16]] <- read.dta(file = "comb_final_data16.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[17]] <- read.dta(file = "comb_final_data17.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[18]] <- read.dta(file = "comb_final_data18.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[19]] <- read.dta(file = "comb_final_data19.dta", convert.underscore=T, warn.missing.labels=F)
imp.data[[20]] <- read.dta(file = "comb_final_data20.dta", convert.underscore=T, warn.missing.labels=F)

class(imp.data) <- c("mi","list")

# Estimate the logistic regression using GEE.
z.stilb <- zelig(as.factor(stilb) ~ year*urban*log(sev) + han, 
               data=imp.data, model="logit.gee", id="code", corstr = "exchangeable", robust = T)

# Print out results.
summary(z.stilb)
