# Use resutls obtained from "2_estimate_sbilb.R" to simulate predicted 
# probabilities and the first and second differences between them. 

library(Zelig)

set.seed(12345)

# Simulate the predicted probabilities

## 1. Rural
### 1.1 Mean severity

x.mu.56 <- setx(z.stilb, year="1956", urban=0, sev=1)
x.mu.57 <- setx(z.stilb, year="1957", urban=0, sev=1)
x.mu.58 <- setx(z.stilb, year="1958", urban=0, sev=1)
x.mu.59 <- setx(z.stilb, year="1959", urban=0, sev=1)
x.mu.61 <- setx(z.stilb, year="1961", urban=0, sev=1)
x.mu.62 <- setx(z.stilb, year="1962", urban=0, sev=1)
x.mu.63 <- setx(z.stilb, year="1963", urban=0, sev=1)
x.mu.64 <- setx(z.stilb, year="1964", urban=0, sev=1)
x.mu.65 <- setx(z.stilb, year="1965", urban=0, sev=1)

### 1.2 Mean severity +

x.pu.56 <- setx(z.stilb, year="1956", urban=0, sev=3)
x.pu.57 <- setx(z.stilb, year="1957", urban=0, sev=3)
x.pu.58 <- setx(z.stilb, year="1958", urban=0, sev=3)
x.pu.59 <- setx(z.stilb, year="1959", urban=0, sev=3)
x.pu.61 <- setx(z.stilb, year="1961", urban=0, sev=3)
x.pu.62 <- setx(z.stilb, year="1962", urban=0, sev=3)
x.pu.63 <- setx(z.stilb, year="1963", urban=0, sev=3)
x.pu.64 <- setx(z.stilb, year="1964", urban=0, sev=3)
x.pu.65 <- setx(z.stilb, year="1965", urban=0, sev=3)

## 2. Urban
### 2.1 Mean severity

x.mr.56 <- setx(z.stilb, year="1956", urban=1, sev=1)
x.mr.57 <- setx(z.stilb, year="1957", urban=1, sev=1)
x.mr.58 <- setx(z.stilb, year="1958", urban=1, sev=1)
x.mr.59 <- setx(z.stilb, year="1959", urban=1, sev=1)
x.mr.61 <- setx(z.stilb, year="1961", urban=1, sev=1)
x.mr.62 <- setx(z.stilb, year="1962", urban=1, sev=1)
x.mr.63 <- setx(z.stilb, year="1963", urban=1, sev=1)
x.mr.64 <- setx(z.stilb, year="1964", urban=1, sev=1)
x.mr.65 <- setx(z.stilb, year="1965", urban=1, sev=1)

### 2.2 Mean severity +

x.pr.56 <- setx(z.stilb, year="1956", urban=1, sev=3)
x.pr.57 <- setx(z.stilb, year="1957", urban=1, sev=3)
x.pr.58 <- setx(z.stilb, year="1958", urban=1, sev=3)
x.pr.59 <- setx(z.stilb, year="1959", urban=1, sev=3)
x.pr.61 <- setx(z.stilb, year="1961", urban=1, sev=3)
x.pr.62 <- setx(z.stilb, year="1962", urban=1, sev=3)
x.pr.63 <- setx(z.stilb, year="1963", urban=1, sev=3)
x.pr.64 <- setx(z.stilb, year="1964", urban=1, sev=3)
x.pr.65 <- setx(z.stilb, year="1965", urban=1, sev=3)

# Simulate the predicted probabilities

s.mu.56 <- sim(z.stilb, x = x.mu.56, num = 1000)
s.mu.57 <- sim(z.stilb, x = x.mu.57, num = 1000)
s.mu.58 <- sim(z.stilb, x = x.mu.58, num = 1000)
s.mu.59 <- sim(z.stilb, x = x.mu.59, num = 1000)
s.mu.61 <- sim(z.stilb, x = x.mu.61, num = 1000)
s.mu.62 <- sim(z.stilb, x = x.mu.62, num = 1000)
s.mu.63 <- sim(z.stilb, x = x.mu.63, num = 1000)
s.mu.64 <- sim(z.stilb, x = x.mu.64, num = 1000)
s.mu.65 <- sim(z.stilb, x = x.mu.65, num = 1000)

s.pu.56 <- sim(z.stilb, x = x.pu.56, num = 1000)
s.pu.57 <- sim(z.stilb, x = x.pu.57, num = 1000)
s.pu.58 <- sim(z.stilb, x = x.pu.58, num = 1000)
s.pu.59 <- sim(z.stilb, x = x.pu.59, num = 1000)
s.pu.61 <- sim(z.stilb, x = x.pu.61, num = 1000)
s.pu.62 <- sim(z.stilb, x = x.pu.62, num = 1000)
s.pu.63 <- sim(z.stilb, x = x.pu.63, num = 1000)
s.pu.64 <- sim(z.stilb, x = x.pu.64, num = 1000)
s.pu.65 <- sim(z.stilb, x = x.pu.65, num = 1000)

s.mr.56 <- sim(z.stilb, x = x.mr.56, num = 1000)
s.mr.57 <- sim(z.stilb, x = x.mr.57, num = 1000)
s.mr.58 <- sim(z.stilb, x = x.mr.58, num = 1000)
s.mr.59 <- sim(z.stilb, x = x.mr.59, num = 1000)
s.mr.61 <- sim(z.stilb, x = x.mr.61, num = 1000)
s.mr.62 <- sim(z.stilb, x = x.mr.62, num = 1000)
s.mr.63 <- sim(z.stilb, x = x.mr.63, num = 1000)
s.mr.64 <- sim(z.stilb, x = x.mr.64, num = 1000)
s.mr.65 <- sim(z.stilb, x = x.mr.65, num = 1000)

s.pr.56 <- sim(z.stilb, x = x.pr.56, num = 1000)
s.pr.57 <- sim(z.stilb, x = x.pr.57, num = 1000)
s.pr.58 <- sim(z.stilb, x = x.pr.58, num = 1000)
s.pr.59 <- sim(z.stilb, x = x.pr.59, num = 1000)
s.pr.61 <- sim(z.stilb, x = x.pr.61, num = 1000)
s.pr.62 <- sim(z.stilb, x = x.pr.62, num = 1000)
s.pr.63 <- sim(z.stilb, x = x.pr.63, num = 1000)
s.pr.64 <- sim(z.stilb, x = x.pr.64, num = 1000)
s.pr.65 <- sim(z.stilb, x = x.pr.65, num = 1000)

# Simulate the DD estimates: 

## Urban

dd56r <- (s.pr.56$qi$ev - s.mr.56$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd57r <- (s.pr.57$qi$ev - s.mr.57$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd58r <- (s.pr.58$qi$ev - s.mr.58$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd59r <- (s.pr.59$qi$ev - s.mr.59$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd61r <- (s.pr.61$qi$ev - s.mr.61$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd62r <- (s.pr.62$qi$ev - s.mr.62$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd63r <- (s.pr.63$qi$ev - s.mr.63$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)
dd65r <- (s.pr.65$qi$ev - s.mr.65$qi$ev) - (s.pr.64$qi$ev - s.mr.64$qi$ev)

quantile(dd56r, c(0.025, 0.50, 0.975))
quantile(dd57r, c(0.025, 0.50, 0.975))
quantile(dd58r, c(0.025, 0.50, 0.975))
quantile(dd59r, c(0.025, 0.50, 0.975))
quantile(dd61r, c(0.025, 0.50, 0.975))
quantile(dd62r, c(0.025, 0.50, 0.975))
quantile(dd63r, c(0.025, 0.50, 0.975))
quantile(dd65r, c(0.025, 0.50, 0.975))

## Rural

dd56u <- (s.pu.56$qi$ev - s.mu.56$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd57u <- (s.pu.57$qi$ev - s.mu.57$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd58u <- (s.pu.58$qi$ev - s.mu.58$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd59u <- (s.pu.59$qi$ev - s.mu.59$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd61u <- (s.pu.61$qi$ev - s.mu.61$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd62u <- (s.pu.62$qi$ev - s.mu.62$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd63u <- (s.pu.63$qi$ev - s.mu.63$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)
dd65u <- (s.pu.65$qi$ev - s.mu.65$qi$ev) - (s.pu.64$qi$ev - s.mu.64$qi$ev)

quantile(dd56u, c(0.025, 0.50, 0.975))
quantile(dd57u, c(0.025, 0.50, 0.975))
quantile(dd58u, c(0.025, 0.50, 0.975))
quantile(dd59u, c(0.025, 0.50, 0.975))
quantile(dd61u, c(0.025, 0.50, 0.975))
quantile(dd62u, c(0.025, 0.50, 0.975))
quantile(dd63u, c(0.025, 0.50, 0.975))
quantile(dd65u, c(0.025, 0.50, 0.975))

